/*!   
    \file connection.h
    \brief TCP6 Socket Wrapper
    \author zafaco GmbH <info@zafaco.de>
    \date Last update: 2017-07-19

    Copyright (C) 2016 - 2017 zafaco GmbH

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License version 3 
    as published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef CONNECTION_H_
#define CONNECTION_H_


#include "header.h"


using namespace std;

class CConnection
{
    private:
        int sock;

        struct sockaddr_ll sockinfo_ll;
        struct sockaddr_in sockinfo_in;
        struct sockaddr_in6 sockinfo_in6;

    public:
        CConnection();

        virtual ~CConnection();

        int tcp6SocketServer( int &nPort );
};

#endif
