/*!   
    \file wslistener.h
    \brief WebSocket listener
    \author zafaco GmbH <info@zafaco.de>
    \date Last update: 2017-07-19

    Copyright (C) 2016 - 2017 zafaco GmbH

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License version 3 
    as published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef WSLISTENER_H
#define WSLISTENER_H


#include "header.h"


class CWsListener : public CBasisThread
{
    public:
        CWsListener();

        virtual ~CWsListener();
        
        CWsListener(int nPort);

        int run() override;

    private:
        int mPort;
        
        int mSock;
        
        CConnection *mSocket;
};


#endif